Package org.eclipse.gef.mvc.fx

# Class MvcFxModule

java.lang.Object
com.google.inject.AbstractModule
org.eclipse.gef.mvc.fx.MvcFxModule

All Implemented Interfaces:
  `Module`

public class MvcFxModule extends AbstractModule
The Guice module which contains all (default) bindings related to the MVC.FX bundle. It extends the MVC Guice module of the MVC bundle, which provides JavaFX-unrelated (default) bindings.

In an Eclipse UI-integration scenario this module is intended to be overwritten by the MVC.FX.UI Guice module, which is provided by the MVC.FX.UI bundle.

Generally, we recommended that all clients should create an own non-UI module, which extends this module, as well as an own UI module, which extends the MVC.FX.UI module, being used to override the non-UI module in an Eclipse-UI integration scenario, as follows:

          MVC   <--extends--    MVC.FX   <--extends--  Client-Non-UI-Module
           ^                       ^                           ^
           |                       |                           |
       overrides               overrides                   overrides
           |                       |                           |
           |                       |                           |
        MVC.UI  <--extends--  MVC.FX.UI  <--extends--   Client-UI-Module

## Constructor Summary

Constructors
Constructor
Description
`MvcFxModule()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindAbstractContentPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `AbstractContentPart` and all sub-classes.
`protected void`
`bindAbstractFeedbackPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `AbstractFeedbackPart` and all sub-classes.
`protected void`
`bindAbstractHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `AbstractHandlePart` and all sub-classes.
`protected void`
`bindAbstractVisualPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map binding for `AbstractVisualPart` and all sub-classes.
`protected void`
`bindChangeViewportPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `ViewportPolicy` to the adapter map binder for `IRootPart`.
`protected void`
`bindClickDragGesture()`
Binds `ClickDragGesture` to the `IDomain` adaptable scope.
`protected void`
`bindClickDragGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `ClickDragGesture` to the adapter map binder for `IDomain`.
`protected void`
`bindConnectedSupportAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindContentBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `ContentBehavior`, parameterized by `Node` , to the adapter map binder for `IRootPart`.
`protected void`
`bindContentIViewerAsIDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `IViewer` to the adapter map binder for `IDomain`.
`protected void`
`bindContentPartPoolAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Ensures that `ContentPartPool` is injected into `IRootPart` using the given adapter `MapBinder`.
`protected void`
`bindContentPolicyAsAbstractContentPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `ContentPolicy`, parameterized by `Node` , to the adapter map binder for `AbstractContentPart`.
`protected void`
`bindCreationPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `CreationPolicy` to the adapter map binder for `IRootPart`.
`protected void`
`bindCursorSupportAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindDeletionPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `DeletionPolicy` to the adapter map binder for `IRootPart`.
`protected void`
`bindFocusAndSelectOnClickHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `FocusAndSelectOnClickHandler` to the adapter map binder for `IRootPart`.
`protected void`
`bindFocusBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for the `FocusBehavior` to the given adapter map binder.
`protected void`
`bindFocusFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Binds the `IFeedbackPartFactory` that is used to generate focus feedback.
`protected void`
`bindFocusModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `FocusModel`, parameterized by `Node`, to the adapter map binder for `IViewer`.
`protected void`
`bindFocusTraversalPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `FocusTraversalPolicy` to the adapter map binder for `IRootPart`.
`protected void`
`bindGridBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `GridBehavior` to the adapter map binder for `IRootPart`.
`protected void`
`bindGridModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `GridModel` to the adapter map binder for `IViewer`.
`protected void`
`bindHoverBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `HoverBehavior`, parameterized by `Node`, to the adapter map binder for `IRootPart`.
`protected void`
`bindHoverFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Binds the `IFeedbackPartFactory` that is used to generate hover feedback.
`protected void`
`bindHoverGesture()`
Binds `HoverGesture` to the `IDomain` adaptable scope.
`protected void`
`bindHoverGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `HoverGesture` to the adapter map binder for `IDomain`.
`protected void`
`bindHoverHandlePartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Binds the `IHandlePartFactory` that is used to generate hover handles.
`protected void`
`bindHoverIntentBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `HoverIntentBehavior`, parameterized by `Node`, to the adapter map binder for `IRootPart`.
`protected void`
`bindHoverModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `HoverModel`, parameterized by `Node`, to the adapter map binder for `IViewer`.
`protected void`
`bindHoverOnHoverHandlerAsAbstractHandlePartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `HoverOnHoverHandler` to the adapter map binder for `AbstractHandlePart`.
`protected void`
`bindHoverOnHoverHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `HoverOnHoverHandler` to the adapter map binder for `IRootPart`.
`protected void`
`bindIContentPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Binds `IContentPartFactory` as an adapter for the content viewer.
`protected void`
`bindIDomain()`
Binds `IDomain` to a respective `HistoricizingDomain` implementation.
`protected void`
`bindIDomainAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `IDomain` and all sub-classes.
`protected void`
`bindIHandlerResolver()`
Binds `DefaultHandlerResolver` to `IHandlerResolver` in adaptable scope of `IDomain`.
`protected void`
`bindIHandlerResolverAsIDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Binds `DefaultHandlerResolver` as a domain adapter.
`protected void`
`bindIOperationHistory()`
Binds `IOperationHistory` to `DefaultOperationHistory` in adaptable scope of `IDomain`.
`protected void`
`bindIRootPart()`
Binds the default implementation of `IRootPart`.
`protected void`
`bindIRootPartAdaptersForContentViewer(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for "content" `IRootPart` and all sub-classes.
`protected void`
`bindIUndoContext()`
Binds `IUndoContext` to `UndoContext` in adaptable scope of `IDomain`.
`protected void`
`bindIViewer()`
Binds `IViewer` to a respective `InfiniteCanvasViewer` implementation.
`protected void`
`bindIViewerAdaptersForContentViewer(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds (default) adapter map bindings for `IViewer` and all sub-classes.
`protected void`
`bindMarqueeOnDragHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `MarqueeOnDragHandler` to the adapter map binder for `IRootPart`.
`protected void`
`bindPanningSupportAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindPanOnTypeHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `PanOnStrokeHandler` to the adapter map binder for `IRootPart`.
`protected void`
`bindPanOrZoomOnScrollHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `PanOrZoomOnScrollHandler` to the adapter map binder for `IRootPart`.
`protected void`
`bindPinchSpreadGesture()`
Binds `PinchSpreadGesture` to the `IDomain` adaptable scope.
`protected void`
`bindPinchSpreadGestureAsIDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `PinchSpreadGesture` to the adapter map binder for `IDomain`.
`protected void`
`bindRevealPrimarySelectionBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `RevealPrimarySelectionBehavior`, parameterized by `Node`, to the adapter map binder for `IRootPart`.
`protected void`
`bindRootPartAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `IRootPart`, parameterized by `Node`, to the adapter map binder for `IViewer`.
`protected void`
`bindRotateGesture()`
Binds `RotateGesture` to the `IDomain` adaptable scope.
`protected void`
`bindRotateGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `RotateGesture` to the adapter map binder for `IDomain`.
`protected void`
`bindScrollGesture()`
Binds `ScrollGesture` to the `IDomain` adaptable scope.
`protected void`
`bindScrollGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `ScrollGesture` to the adapter map binder for `IDomain`.
`protected void`
`bindSelectionBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `SelectionBehavior`, parameterized by `Node`, to the adapter map binder for `IRootPart`.
`protected void`
`bindSelectionFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Binds the `IFeedbackPartFactory` that is used to generate selection feedback.
`protected void`
`bindSelectionHandlePartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Binds the `IHandlePartFactory` that is used to generate selection handles.
`protected void`
`bindSelectionModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `SelectionModel`, parameterized by `Node`, to the adapter map binder for `IViewer`.
`protected void`
`bindSnappingBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for the `SnappingBehavior` to the given adapter map binder.
`protected void`
`bindSnappingFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Binds the `IFeedbackPartFactory` that is used to generate snapping feedback.
`protected void`
`bindSnappingModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindSnapToSupportAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
`protected void`
`bindTransformProviderAsAbstractContentPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `TransformProvider` to the adapter map binder for `AbstractContentPart`, using the `ITransformableContentPart.TRANSFORM_PROVIDER_KEY`.
`protected void`
`bindTypeGesture()`
Binds `TypeStrokeGesture` to the `IDomain` adaptable scope.
`protected void`
`bindTypeGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `TypeStrokeGesture` to the adapter map binder for `IDomain`.
`protected void`
`bindZoomOnPinchSpreadHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)`
Adds a binding for `ZoomOnPinchSpreadHandler` to the adapter map binder for `IRootPart`.
`protected void`
`configure()`
`protected void`
`enableAdapterMapInjection()`
Installs an `AdapterInjectionSupport` module, which binds an `AdaptableTypeListener` and ensures it gets properly injected.

### Methods inherited from class com.google.inject.AbstractModule

`addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestInjection, requestStaticInjection, requireBinding, requireBinding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MvcFxModule

public MvcFxModule()

## Method Details

### bindAbstractContentPartAdapters

protected void bindAbstractContentPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `AbstractContentPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `AbstractContentPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindAbstractFeedbackPartAdapters

protected void bindAbstractFeedbackPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `AbstractFeedbackPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `AbstractFeedbackPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindAbstractHandlePartAdapters

protected void bindAbstractHandlePartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `AbstractHandlePart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `AbstractHandlePart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindAbstractVisualPartAdapters

protected void bindAbstractVisualPartAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map binding for `AbstractVisualPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `AbstractVisualPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindChangeViewportPolicyAsIRootPartAdapter

protected void bindChangeViewportPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `ViewportPolicy` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindClickDragGesture

protected void bindClickDragGesture()
Binds `ClickDragGesture` to the `IDomain` adaptable scope.

### bindClickDragGestureAsDomainAdapter

protected void bindClickDragGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `ClickDragGesture` to the adapter map binder for `IDomain`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IDomain` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindContentBehaviorAsIRootPartAdapter

protected void bindContentBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `ContentBehavior`, parameterized by `Node` , to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindContentIViewerAsIDomainAdapter

protected void bindContentIViewerAsIDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `IViewer` to the adapter map binder for `IDomain`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IDomain` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindContentPartPoolAsContentViewerAdapter

protected void bindContentPartPoolAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Ensures that `ContentPartPool` is injected into `IRootPart` using the given adapter `MapBinder`.

Parameters:
  `adapterMapBinder` - The `MapBinder` that is used to establish the binding.

### bindContentPolicyAsAbstractContentPartAdapter

protected void bindContentPolicyAsAbstractContentPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `ContentPolicy`, parameterized by `Node` , to the adapter map binder for `AbstractContentPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `AbstractContentPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindCreationPolicyAsIRootPartAdapter

protected void bindCreationPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `CreationPolicy` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindCursorSupportAsContentViewerAdapter

protected void bindCursorSupportAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Parameters:
  `adapterMapBinder` - The `MapBinder` that is used to register adapter bindings.

### bindDeletionPolicyAsIRootPartAdapter

protected void bindDeletionPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `DeletionPolicy` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindFocusAndSelectOnClickHandlerAsIRootPartAdapter

protected void bindFocusAndSelectOnClickHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `FocusAndSelectOnClickHandler` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindFocusBehaviorAsIRootPartAdapter

protected void bindFocusBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for the `FocusBehavior` to the given adapter map binder.

Parameters:
  `adapterMapBinder` - An adapter map binder for `IRootPart`.

### bindFocusFeedbackPartFactoryAsContentViewerAdapter

protected void bindFocusFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Binds the `IFeedbackPartFactory` that is used to generate focus feedback.

Parameters:
  `adapterMapBinder` - The `MapBinder` for content viewer adapters.

### bindFocusModelAsContentViewerAdapter

protected void bindFocusModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `FocusModel`, parameterized by `Node`, to the adapter map binder for `IViewer`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IViewer` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindFocusTraversalPolicyAsIRootPartAdapter

protected void bindFocusTraversalPolicyAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `FocusTraversalPolicy` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindGridBehaviorAsIRootPartAdapter

protected void bindGridBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `GridBehavior` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindGridModelAsContentViewerAdapter

protected void bindGridModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `GridModel` to the adapter map binder for `IViewer`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IViewer` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindHoverBehaviorAsIRootPartAdapter

protected void bindHoverBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `HoverBehavior`, parameterized by `Node`, to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindHoverFeedbackPartFactoryAsContentViewerAdapter

protected void bindHoverFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Binds the `IFeedbackPartFactory` that is used to generate hover feedback.

Parameters:
  `adapterMapBinder` - The `MapBinder` for content viewer adapters.

### bindHoverGesture

protected void bindHoverGesture()
Binds `HoverGesture` to the `IDomain` adaptable scope.

### bindHoverGestureAsDomainAdapter

protected void bindHoverGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `HoverGesture` to the adapter map binder for `IDomain`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IDomain` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindHoverHandlePartFactoryAsContentViewerAdapter

protected void bindHoverHandlePartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Binds the `IHandlePartFactory` that is used to generate hover handles.

Parameters:
  `adapterMapBinder` - The `MapBinder` for content viewer adapters.

### bindHoverIntentBehaviorAsIRootPartAdapter

protected void bindHoverIntentBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `HoverIntentBehavior`, parameterized by `Node`, to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindHoverModelAsContentViewerAdapter

protected void bindHoverModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `HoverModel`, parameterized by `Node`, to the adapter map binder for `IViewer`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IViewer` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindHoverOnHoverHandlerAsAbstractHandlePartAdapter

protected void bindHoverOnHoverHandlerAsAbstractHandlePartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `HoverOnHoverHandler` to the adapter map binder for `AbstractHandlePart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `AbstractHandlePart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindHoverOnHoverHandlerAsIRootPartAdapter

protected void bindHoverOnHoverHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `HoverOnHoverHandler` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindIContentPartFactoryAsContentViewerAdapter

protected void bindIContentPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Binds `IContentPartFactory` as an adapter for the content viewer.

Parameters:
  `adapterMapBinder` - The `MapBinder` for the content viewer.

### bindIDomain

protected void bindIDomain()
Binds `IDomain` to a respective `HistoricizingDomain` implementation.

### bindIDomainAdapters

protected void bindIDomainAdapters(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `IDomain` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IDomain` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindIHandlerResolver

protected void bindIHandlerResolver()
Binds `DefaultHandlerResolver` to `IHandlerResolver` in adaptable scope of `IDomain`.

### bindIHandlerResolverAsIDomainAdapter

protected void bindIHandlerResolverAsIDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Binds `DefaultHandlerResolver` as a domain adapter.

Parameters:
  `adapterMapBinder` - The `MapBinder` that is used to add the binding.

### bindIOperationHistory

protected void bindIOperationHistory()
Binds `IOperationHistory` to `DefaultOperationHistory` in adaptable scope of `IDomain`.

### bindIRootPart

protected void bindIRootPart()
Binds the default implementation of `IRootPart`.

### bindIRootPartAdaptersForContentViewer

protected void bindIRootPartAdaptersForContentViewer(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for "content" `IRootPart` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindIUndoContext

protected void bindIUndoContext()
Binds `IUndoContext` to `UndoContext` in adaptable scope of `IDomain`.

### bindIViewer

protected void bindIViewer()
Binds `IViewer` to a respective `InfiniteCanvasViewer` implementation.

### bindIViewerAdaptersForContentViewer

protected void bindIViewerAdaptersForContentViewer(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds (default) adapter map bindings for `IViewer` and all sub-classes. May be overwritten by sub-classes to change the default bindings.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IViewer` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindMarqueeOnDragHandlerAsIRootPartAdapter

protected void bindMarqueeOnDragHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `MarqueeOnDragHandler` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindConnectedSupportAsContentViewerAdapter

protected void bindConnectedSupportAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Parameters:
  `adapterMapBinder` - The `MapBinder` that is used to register adapter bindings.

### bindPanningSupportAsContentViewerAdapter

protected void bindPanningSupportAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Parameters:
  `adapterMapBinder` - The `MapBinder` that is used to register adapter bindings.

### bindPanOnTypeHandlerAsIRootPartAdapter

protected void bindPanOnTypeHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `PanOnStrokeHandler` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindPanOrZoomOnScrollHandlerAsIRootPartAdapter

protected void bindPanOrZoomOnScrollHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `PanOrZoomOnScrollHandler` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindPinchSpreadGesture

protected void bindPinchSpreadGesture()
Binds `PinchSpreadGesture` to the `IDomain` adaptable scope.

### bindPinchSpreadGestureAsIDomainAdapter

protected void bindPinchSpreadGestureAsIDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `PinchSpreadGesture` to the adapter map binder for `IDomain`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IDomain` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindRevealPrimarySelectionBehaviorAsIRootPartAdapter

protected void bindRevealPrimarySelectionBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `RevealPrimarySelectionBehavior`, parameterized by `Node`, to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindRootPartAsContentViewerAdapter

protected void bindRootPartAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `IRootPart`, parameterized by `Node`, to the adapter map binder for `IViewer`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IViewer` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindRotateGesture

protected void bindRotateGesture()
Binds `RotateGesture` to the `IDomain` adaptable scope.

### bindRotateGestureAsDomainAdapter

protected void bindRotateGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `RotateGesture` to the adapter map binder for `IDomain`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IDomain` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindScrollGesture

protected void bindScrollGesture()
Binds `ScrollGesture` to the `IDomain` adaptable scope.

### bindScrollGestureAsDomainAdapter

protected void bindScrollGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `ScrollGesture` to the adapter map binder for `IDomain`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IDomain` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindSelectionBehaviorAsIRootPartAdapter

protected void bindSelectionBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `SelectionBehavior`, parameterized by `Node`, to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindSelectionFeedbackPartFactoryAsContentViewerAdapter

protected void bindSelectionFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Binds the `IFeedbackPartFactory` that is used to generate selection feedback.

Parameters:
  `adapterMapBinder` - The `MapBinder` for content viewer adapters.

### bindSelectionHandlePartFactoryAsContentViewerAdapter

protected void bindSelectionHandlePartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Binds the `IHandlePartFactory` that is used to generate selection handles.

Parameters:
  `adapterMapBinder` - The `MapBinder` for content viewer adapters.

### bindSelectionModelAsContentViewerAdapter

protected void bindSelectionModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `SelectionModel`, parameterized by `Node`, to the adapter map binder for `IViewer`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IViewer` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindSnappingBehaviorAsIRootPartAdapter

protected void bindSnappingBehaviorAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for the `SnappingBehavior` to the given adapter map binder.

Parameters:
  `adapterMapBinder` - An adapter map binder for `IRootPart`.

### bindSnappingFeedbackPartFactoryAsContentViewerAdapter

protected void bindSnappingFeedbackPartFactoryAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Binds the `IFeedbackPartFactory` that is used to generate snapping feedback.

Parameters:
  `adapterMapBinder` - The `MapBinder` for content viewer adapters.

### bindSnappingModelAsContentViewerAdapter

protected void bindSnappingModelAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Parameters:
  `adapterMapBinder` - The `MapBinder` that is used to register adapter bindings.

### bindSnapToSupportAsContentViewerAdapter

protected void bindSnapToSupportAsContentViewerAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)

Parameters:
  `adapterMapBinder` - The `MapBinder` that is used to register adapter bindings.

### bindTransformProviderAsAbstractContentPartAdapter

protected void bindTransformProviderAsAbstractContentPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `TransformProvider` to the adapter map binder for `AbstractContentPart`, using the `ITransformableContentPart.TRANSFORM_PROVIDER_KEY`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `AbstractContentPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindTypeGesture

protected void bindTypeGesture()
Binds `TypeStrokeGesture` to the `IDomain` adaptable scope.

### bindTypeGestureAsDomainAdapter

protected void bindTypeGestureAsDomainAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `TypeStrokeGesture` to the adapter map binder for `IDomain`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IDomain` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### bindZoomOnPinchSpreadHandlerAsIRootPartAdapter

protected void bindZoomOnPinchSpreadHandlerAsIRootPartAdapter(MapBinder<AdapterKey<?>,Object> adapterMapBinder)
Adds a binding for `ZoomOnPinchSpreadHandler` to the adapter map binder for `IRootPart`.

Parameters:
  `adapterMapBinder` - The `MapBinder` to be used for the binding registration. In this case, will be obtained from `AdapterMaps.getAdapterMapBinder(Binder, Class)` using `IRootPart` as a key.
See Also:
  - `AdapterMaps.getAdapterMapBinder(Binder, Class)`

### configure

protected void configure()

Overrides:
  `configure` in class `AbstractModule`

### enableAdapterMapInjection

protected void enableAdapterMapInjection()
Installs an `AdapterInjectionSupport` module, which binds an `AdaptableTypeListener` and ensures it gets properly injected.